Subject: categories: Extension of natural transformations

From: Per <[email-masked]>
Date: Fri, 27 Apr 2001 08:48:14 +0200

Is there anything known about the following type of problem.

Let F,G : C -> D be functors and let  E be a subcategory of  C and let 
F' G' be the restirctions of F and G to E. Let a' : F'  -> G'  be a 
natural transformation.
When does there exist a natural transformation  alpha : F  -> G   that 
extends alpha' so that alpha restricted to E is equal to alpha'?
What if E is a set of generators for C?

Thanks

Per K. Jakobsen